/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 设备与用户关系表(tbl_device_user)
 *
 * @author bianj
 * @version 1.0.0 2017-06-27
 */
@Entity
@Table(name = "tbl_device_user")
public class Tbl_Device_User implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -4018159739383033383L;

    /**
     * id
     */
    @Id
    @Column(name = "id", unique = true, nullable = false, length = 10)
    private Integer id;

    /**
     * 用户Id
     */
    @Column(name = "user_id", unique = true, nullable = false, length = 10)
    private Integer userId;

    /**
     * 设备Id
     */
    @Column(name = "device_id", unique = true, nullable = false, length = 10)
    private Integer deviceId;

    /**
     * 是否主控：1、主控制权，0、被分享者
     */
    @Column(name = "is_master", nullable = true, length = 1)
    private String isMaster;

    /**
     * 显示名称
     */
    @Column(name = "show_name", nullable = true, length = 50)
    private String showName;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 保存的显示图标
     */
    @Column(name = "custom_icon_name", nullable = true, length = 100)
    private String customIconName;

    /**
     * 保存的显示名称
     */
    @Column(name = "custom_show_name", nullable = true, length = 100)
    private String customShowName;

    /**
     * 是否看护
     */
    @Column(name = "is_look", nullable = true, length = 1)
    private String isLook;

    /**
     * 是否直播
     */
    @Column(name = "is_live", nullable = true, length = 1)
    private String isLive;

    /**
     * 获取id
     *
     * @return id
     */
    public Integer getId() {
        return this.id;
    }

    /**
     * 设置id
     *
     * @param id id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取用户Id
     *
     * @return 用户Id
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置用户Id
     *
     * @param userId 用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取设备Id
     *
     * @return 设备Id
     */
    public Integer getDeviceId() {
        return this.deviceId;
    }

    /**
     * 设置设备Id
     *
     * @param deviceId 设备Id
     */
    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 获取是否主控：1、主控制权，0、被分享者
     *
     * @return 是否主控：1、主控制权
     */
    public String getIsMaster() {
        return this.isMaster;
    }

    /**
     * 设置是否主控：1、主控制权，0、被分享者
     *
     * @param isMaster 是否主控：1、主控制权，0、被分享者
     */
    public void setIsMaster(String isMaster) {
        this.isMaster = isMaster;
    }

    /**
     * 获取显示名称
     *
     * @return 显示名称
     */
    public String getShowName() {
        return this.showName;
    }

    /**
     * 设置显示名称
     *
     * @param showName 显示名称
     */
    public void setShowName(String showName) {
        this.showName = showName;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取修改时间
     *
     * @return 修改时间
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取保存的显示图标
     *
     * @return 保存的显示图标
     */
    public String getCustomIconName() {
        return this.customIconName;
    }

    /**
     * 设置保存的显示图标
     *
     * @param customIconName 保存的显示图标
     */
    public void setCustomIconName(String customIconName) {
        this.customIconName = customIconName;
    }

    /**
     * 获取保存的显示名称
     *
     * @return 保存的显示名称
     */
    public String getCustomShowName() {
        return this.customShowName;
    }

    /**
     * 设置保存的显示名称
     *
     * @param customShowName 保存的显示名称
     */
    public void setCustomShowName(String customShowName) {
        this.customShowName = customShowName;
    }

    /**
     * 获取是否看护
     *
     * @return 是否看护
     */
    public String getIsLook() {
        return this.isLook;
    }

    /**
     * 设置是否看护
     *
     * @param isLook 是否看护
     */
    public void setIsLook(String isLook) {
        this.isLook = isLook;
    }

    /**
     * 获取是否直播
     *
     * @return 是否直播
     */
    public String getIsLive() {
        return this.isLive;
    }

    /**
     * 设置是否直播
     *
     * @param isLive 是否直播
     */
    public void setIsLive(String isLive) {
        this.isLive = isLive;
    }
}
